## dio-chacon-wifi-api 1.2.1

=== debian/changelog ===
dio-chacon-wifi-api (1.2.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sat, 29 Mar 2025 21:46:22 +0000

dio-chacon-wifi-api (1.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1100162)

 -- Edward Betts <edward@4angle.com>  Wed, 12 Mar 2025 06:18:27 +0100

## dio-chacon-wifi-api 1.2.2

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile docs/requirements.in
#
click==8.1.7
    # via
    #   mkdocs
    #   mkdocstrings
colorama==0.4.6
    # via griffe
ghp-import==2.1.0
    # via mkdocs
griffe==0.42.1
    # via mkdocstrings-python
jinja2==3.1.3
    # via
    #   mkdocs
    #   mkdocstrings
markdown==3.6
    # via
    #   markdown-include
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocstrings
    #   pymdown-extensions
markdown-include==0.8.1
    # via -r docs/requirements.in
markupsafe==2.1.5
    # via
    #   jinja2
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocstrings
mergedeep==1.3.4
    # via mkdocs
mkdocs==1.5.3
    # via
    #   -r docs/requirements.in
    #   mkdocs-autorefs
    #   mkdocstrings
mkdocs-autorefs==1.0.1
    # via mkdocstrings
mkdocstrings[python]==0.24.3
    # via
    #   -r docs/requirements.in
    #   mkdocstrings-python
mkdocstrings-python==1.9.2
    # via mkdocstrings
packaging==24.0
    # via mkdocs
pathspec==0.12.1
    # via mkdocs
platformdirs==4.2.0
    # via
    #   mkdocs
    #   mkdocstrings
pymdown-extensions==10.7.1
    # via mkdocstrings
python-dateutil==2.9.0.post0
    # via ghp-import
pyyaml==6.0.1
    # via
    #   mkdocs
    #   pymdown-extensions
    #   pyyaml-env-tag
pyyaml-env-tag==0.1
    # via mkdocs
six==1.16.0
    # via python-dateutil
watchdog==4.0.0
    # via mkdocs

=== debian/changelog ===
dio-chacon-wifi-api (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 26 Apr 2025 17:49:01 +0100

=== debian/control ===
Source: dio-chacon-wifi-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-aiohttp <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/cnico/dio-chacon-wifi-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/dio-chacon-wifi-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/dio-chacon-wifi-api.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-dio-chacon-wifi-api
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library implementing Wi-Fi protocol for DIO Chacon devices
 This library provides an implementation of the Wi-Fi protocol for interacting
 with DIO Chacon devices. It enables operations such as connecting to and
 controlling switches and shutters over the cloud. The library supports listing
 registered devices, checking their status, and executing actions like
 switching power states or adjusting shutter positions. Connection to the
 Chacon cloud server is maintained via a websocket, allowing for responsive
 interactions. Automatic reconnection is a feature included for network
 reliability.

=== debian/watch ===
version=4
https://github.com/cnico/dio-chacon-wifi-api/tags .*/v?(\d\S+)\.tar\.gz
